Index: palm/trunk/SCRIPTS/.mrun.config.hlrnIII
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.hlrnIII	(revision 1326)
+++ palm/trunk/SCRIPTS/.mrun.config.hlrnIII	(revision 1327)
@@ -39,6 +39,6 @@
 %cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw   lccrayb parallel
 %mopts               -j:4                        lccrayb parallel
-%fopts               -em:-s:real64:-O3:-hnoomp:-hfp3:-hdynamic          lccrayb parallel
-%lopts               -em:-s:real64:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic lccrayb parallel
+%fopts               -em:-O3:-hnoomp:-hfp3:-hdynamic          lccrayb parallel
+%lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic lccrayb parallel
 %remote_username     <replace by your HLRN-III username>                lccrayb parallel
 %memory              1500                                               lccrayb parallel
@@ -52,6 +52,6 @@
 %cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw   lccrayh parallel
 %mopts               -j:4                        lccrayh parallel
-%fopts               -em:-s:real64:-O3:-hnoomp:-hfp3:-hdynamic          lccrayh parallel
-%lopts               -em:-s:real64:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic lccrayh parallel
+%fopts               -em:-O3:-hnoomp:-hfp3:-hdynamic          lccrayh parallel
+%lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic lccrayh parallel
 %remote_username     <replace by your HLRN-III username>                lccrayh parallel
 %memory              1500                                               lccrayh parallel
Index: palm/trunk/SCRIPTS/.mrun.config.imuk
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 1326)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 1327)
@@ -27,6 +27,6 @@
 %netcdf_lib        -L/muksoft/packages/netcdf/3.6.3/lib:-lnetcdf               lcmuk
 %mopts             -j:4                                                        lcmuk
-%fopts             -fltconsistency:-O3:-cpp:-r8:-nbs:-convert:little_endian:-diag-disable:8290,8291    lcmuk
-%lopts             -fltconsistency:-O3:-cpp:-r8:-nbs:-lmf:-lm:-Vaxlib          lcmuk
+%fopts             -fltconsistency:-O3:-cpp:-nbs:-convert:little_endian:-diag-disable:8290,8291    lcmuk
+%lopts             -fltconsistency:-O3:-cpp:-nbs:-lmf:-lm:-Vaxlib          lcmuk
 #
 # version 03/02/2013
@@ -39,6 +39,6 @@
 %netcdf_lib        -L/muksoft/packages/netcdf/3.6.3/lib:-lnetcdf               lcmuk parallel
 %mopts             -j:4                                                        lcmuk parallel
-%fopts             -O3:-cpp:-r8:-fp-model:precise:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian:-diag-disable:8290,8291  lcmuk parallel
-%lopts             -O3:-cpp:-r8:-fp-model:precise:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-limf:-lm:-Vaxlib       lcmuk parallel
+%fopts             -O3:-cpp:-fp-model:precise:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian:-diag-disable:8290,8291  lcmuk parallel
+%lopts             -O3:-cpp:-fp-model:precise:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-limf:-lm:-Vaxlib       lcmuk parallel
 #%hostfile          $base_directory/.hostfile                                  lcmuk parallel
 #
@@ -51,6 +51,6 @@
 %netcdf_inc        -I:/muksoft/packages/netcdf/3.6.3/include            lcmuk parallel trace
 %netcdf_lib        -L/muksoft/packages/netcdf/3.6.3/lib:-lnetcdf        lcmuk parallel trace
-%fopts             -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian:-diag-disable:8290,8291  lcmuk parallel trace
-%lopts             -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-limf:-lm:-Vaxlib       lcmuk parallel trace
+%fopts             -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian:-diag-disable:8290,8291  lcmuk parallel trace
+%lopts             -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-limf:-lm:-Vaxlib       lcmuk parallel trace
 
 %write_binary                true                             restart
Index: palm/trunk/SCRIPTS/.mrun.config.imuk_hlrn
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk_hlrn	(revision 1326)
+++ 	(revision )
@@ -1,199 +1,0 @@
-#$Id$
-#column 1          column 2                                   column 3
-#name of variable  value of variable (~ must not be used)     scope
-#----------------------------------------------------------------------------
-%mainprog          palm.f90
-%base_directory    $HOME/palm/current_version
-%base_data         ~/palm/current_version/JOBS
-%source_path       $base_directory/trunk/SOURCE
-%add_source_path   $base_directory/USER_CODE/$fname
-%depository_path   $base_directory/MAKE_DEPOSITORY
-%use_makefile      true
-#
-# Enter your own host below by adding another line containing in the second
-# column your hostname (as provided by the unix command "hostname") and in the
-# third column the host identifier. Depending on your operating system, the
-# first characters of the host identifier should be "lc" (Linux cluster), "ibm"
-# (IBM-AIX), or "nec" (NEC-SX), respectively.
-%host_identifier   service100  lcsgih
-%host_identifier   r1*         lcsgih
-%host_identifier   h01*        lcsgih
-%host_identifier   r2*         lcsgib
-%host_identifier   b01*        lcsgib
-%host_identifier   inferno     lcmuk
-#
-# The following blocks contain all information for compiling the PALM code
-# and for generating and running the PALM executable using MPI. Replace all
-# required paths (given in <>) by the respective paths valid on your host.
-# Please adjust compilernames, cpp-options, compiler-options etc.
-# appropriately for your own system(s), and please delete or comment out
-# blocks for unused systems.
-#
-# The following 'lcmuk parallel' block assumes PALM compilation and execution
-# on host inferno. Please note that other hosts within the IMUK linux cluster,
-# e.g. bora, may require different settings.
-#
-#%remote_username   <replace by your IMUK username>               lcmuk parallel
-#%tmp_user_catalog  /home/<replace by your IMUK username>/palm/tmp/  lcmuk parallel
-%compiler_name     mpif90                                        lcmuk parallel
-%compiler_name_ser ifort                                         lcmuk parallel
-%cpp_options       -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf   lcmuk parallel
-%netcdf_inc        -I:/muksoft/packages/netcdf/3.6.3/include     lcmuk parallel
-%netcdf_lib        -L/muksoft/packages/netcdf/3.6.3/lib:-lnetcdf lcmuk parallel
-%mopts             -j:4                                          lcmuk parallel
-%fopts             -fpe0:-O3:-r8:-fp-model:precise:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-diag-disable:8290,8291     lcmuk parallel
-%lopts             -fpe0:-O3:-r8:-fp-model:precise:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-diag-disable:8290,8291:-limf:-lm     lcmuk parallel
-#%hostfile          $base_directory/.hostfile                    lcmuk parallel
-#
-#
-%sgi_feature       ice2                                       lcsgih parallel
-%modules           intel.compiler/11.1.072:mpt:phdf5/1.8.5-mpt-intel-11.1:pnetcdf/4.1.1-mpt-intel-11.1  lcsgih parallel
-%login_init_cmd    .:/usr/share/modules/init/bash           lcsgih parallel
-#%remote_username    <replace by your HLRN username>          lcsgih parallel
-%compiler_name     ifort                                      lcsgih parallel
-%compiler_name_ser ifort                                      lcsgih parallel
-%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__mpi2   lcsgih parallel
-%netcdf_inc        -I:/sw/dataformats/pnetcdf/netcdf-4.1.1-mpt-intel-11.1/include:-I:/sw/dataformats/phdf5/hdf5-1.8.5-mpt-intel-11.1/include    lcsgih parallel
-%netcdf_lib        -L/sw/dataformats/pnetcdf/netcdf-4.1.1-mpt-intel-11.1/lib:-lnetcdf:-lnetcdff:-L/sw/dataformats/phdf5/hdf5-1.8.5-mpt-intel-11.1/lib:-lhdf5:-lhdf5_hl:-lz      lcsgih parallel
-%mopts             -j:4                                       lcsgih parallel
-%fopts             -fpe0:-O3:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian:-diag-disable:8290,8291  lcsgih parallel
-%lopts             -fpe0:-O3:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib:-lmpi:-limf:-lm           lcsgih parallel
-%memory            1500                                       lcsgih parallel
-#%tmp_data_catalog  /gfs2/work/<replace by your HLRN username>/palm_restart_data      lcsgih parallel
-#%tmp_user_catalog  /gfs2/tmp/<replace by your HLRN username>                         lcsgih parallel
-#
-#
-#
-%sgi_feature       ice2                                       lcsgih parallel trace
-%modules           intel.compiler/11.1.072:mpt:phdf5/1.8.5-mpt-intel-11.1:pnetcdf/4.1.1-mpt-intel-11.1  lcsgih parallel trace
-%login_init_cmd    .:/usr/share/modules/init/bash           lcsgih parallel trace
-#%remote_username    <replace by your HLRN username>          lcsgih parallel trace
-%compiler_name     ifort                                      lcsgih parallel trace
-%compiler_name_ser ifort                                      lcsgih parallel trace
-%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__mpi2   lcsgih parallel trace
-%netcdf_inc        -I:/sw/dataformats/pnetcdf/netcdf-4.1.1-mpt-intel-11.1/include:-I:/sw/dataformats/phdf5/hdf5-1.8.5-mpt-intel-11.1/include    lcsgih parallel trace
-%netcdf_lib        -L/sw/dataformats/pnetcdf/netcdf-4.1.1-mpt-intel-11.1/lib:-lnetcdf:-lnetcdff:-L/sw/dataformats/phdf5/hdf5-1.8.5-mpt-intel-11.1/lib:-lhdf5:-lhdf5_hl:-lz      lcsgih parallel trace
-%mopts             -j:4                                       lcsgih parallel trace
-%fopts             -override-limits:-C:-ftrapuv:-xS:-debug:extended:-check:nooutput_conversion:-O0:-fpe0:-g:-traceback:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian:-diag-disable:8290,8291  lcsgih parallel trace
-%lopts             -C:-ftrapuv:-xS:-debug:extended:-check:nooutput_conversion:-O0:-fpe0:-g:-traceback:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib:-lmpi:-limf:-lm           lcsgih parallel trace
-%memory            1500                                       lcsgih parallel trace
-#%tmp_data_catalog  /gfs2/work/<replace by your HLRN username>/palm_restart_data      lcsgih parallel trace
-#%tmp_user_catalog  /gfs2/tmp/<replace by your HLRN username>                         lcsgih parallel trace
-#
-#
-#
-%sgi_feature       ice2                                       lcsgib parallel
-%modules           intel.compiler/11.1.072:mpt:phdf5/1.8.5-mpt-intel-11.1:pnetcdf/4.1.1-mpt-intel-11.1  lcsgib parallel
-%login_init_cmd    .:/usr/share/modules/init/bash           lcsgib parallel
-#%remote_username    <replace by your HLRN username>          lcsgib parallel
-%compiler_name     ifort                                      lcsgib parallel
-%compiler_name_ser ifort                                      lcsgib parallel
-%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__mpi2   lcsgib parallel
-%netcdf_inc        -I:/sw/dataformats/pnetcdf/netcdf-4.1.1-mpt-intel-11.1/include:-I:/sw/dataformats/phdf5/hdf5-1.8.5-mpt-intel-11.1/include    lcsgib parallel
-%netcdf_lib        -L/sw/dataformats/pnetcdf/netcdf-4.1.1-mpt-intel-11.1/lib:-lnetcdf:-lnetcdff:-L/sw/dataformats/phdf5/hdf5-1.8.5-mpt-intel-11.1/lib:-lhdf5:-lhdf5_hl:-lz      lcsgib parallel
-%mopts             -j:4                                       lcsgib parallel
-%fopts             -fpe0:-O3:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian:-diag-disable:8290,8291  lcsgib parallel
-%lopts             -fpe0:-O3:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib:-lmpi:-limf:-lm           lcsgib parallel
-%memory            1500                                       lcsgib parallel
-#%tmp_data_catalog  /gfs2/work/<replace by your HLRN username>/palm_restart_data      lcsgib parallel
-#%tmp_user_catalog  /gfs2/tmp/<replace by your HLRN username>                         lcsgib parallel
-#
-#
-#
-%sgi_feature       ice2                                       lcsgib parallel trace
-%modules           intel.compiler/11.1.072:mpt:phdf5/1.8.5-mpt-intel-11.1:pnetcdf/4.1.1-mpt-intel-11.1  lcsgib parallel trace
-%login_init_cmd    .:/usr/share/modules/init/bash           lcsgib parallel trace
-#%remote_username    <replace by your HLRN username>          lcsgib parallel trace
-%compiler_name     ifort                                      lcsgib parallel trace
-%compiler_name_ser ifort                                      lcsgib parallel trace
-%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__mpi2   lcsgib parallel trace
-%netcdf_inc        -I:/sw/dataformats/pnetcdf/netcdf-4.1.1-mpt-intel-11.1/include:-I:/sw/dataformats/phdf5/hdf5-1.8.5-mpt-intel-11.1/include    lcsgib parallel trace
-%netcdf_lib        -L/sw/dataformats/pnetcdf/netcdf-4.1.1-mpt-intel-11.1/lib:-lnetcdf:-lnetcdff:-L/sw/dataformats/phdf5/hdf5-1.8.5-mpt-intel-11.1/lib:-lhdf5:-lhdf5_hl:-lz      lcsgib parallel trace
-%mopts             -j:4                                       lcsgib parallel trace
-%fopts             -override-limits:-C:-ftrapuv:-xS:-debug:extended:-check:nooutput_conversion:-O0:-fpe0:-g:-traceback:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian:-diag-disable:8290,8291  lcsgib parallel trace
-%lopts             -C:-ftrapuv:-xS:-debug:extended:-check:nooutput_conversion:-O0:-fpe0:-g:-traceback:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib:-lmpi:-limf:-lm           lcsgib parallel trace
-%memory            1500                                       lcsgib parallel trace
-#%tmp_data_catalog  /gfs2/work/<replace by your HLRN username>/palm_restart_data      lcsgib parallel trace
-#%tmp_user_catalog  /gfs2/tmp/<replace by your HLRN username>                         lcsgib parallel trace
-#
-#
-%write_binary                true                             restart
-#
-#----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:"
-#----------------------------------------------------------------------------
-#IC:
-#
-#----------------------------------------------------------------------------
-# ERROR-commands - executed when program terminates abnormally
-#----------------------------------------------------------------------------
-EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
-EC:pwd; ls -al
-#
-#----------------------------------------------------------------------------
-# OUTPUT-commands - executed when program terminates normally
-#----------------------------------------------------------------------------
-#
-# Combine 1D- and 3D-profile output (these files are not usable for plotting)
-OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
-OC:[[ -f LIST_PROFIL        ]]  &&  cat  LIST_PROFIL     >>  LIST_PROFILE
-#
-# Combine all particle information files
-OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
-#
-#----------------------------------------------------------------------------
-# List of input-files
-#----------------------------------------------------------------------------
-PARIN                    in:job        d3#      $base_data/$fname/INPUT    _p3d
-PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
-TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
-NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
-LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
-BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
-PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
-DATA_1D_PR_NETCDF        in:locopt     prf      $base_data/$fname/OUTPUT   _pr     nc
-DATA_1D_SP_NETCDF        in:locopt     spf      $base_data/$fname/OUTPUT   _sp     nc
-DATA_1D_TS_NETCDF        in:locopt     tsf      $base_data/$fname/OUTPUT   _ts     nc
-DATA_1D_PTS_NETCDF       in:locopt     ptsf     $base_data/$fname/OUTPUT   _pts    nc
-DATA_2D_XY_NETCDF        in:locopt     xyf      $base_data/$fname/OUTPUT   _xy     nc
-DATA_2D_XY_AV_NETCDF     in:locopt     xyf      $base_data/$fname/OUTPUT   _xy_av  nc
-DATA_2D_XZ_NETCDF        in:locopt     xzf      $base_data/$fname/OUTPUT   _xz     nc
-DATA_2D_YZ_NETCDF        in:locopt     yzf      $base_data/$fname/OUTPUT   _yz     nc
-DATA_3D_NETCDF           in:locopt     3df      $base_data/$fname/OUTPUT   _3d     nc
-DATA_PRT_NETCDF          in:locopt:pe  prtf     $base_data/$fname/OUTPUT   _prt
-#
-#----------------------------------------------------------------------------
-# List of output-files
-#----------------------------------------------------------------------------
-BINOUT                    out:loc:flpe restart   $base_data/$fname/RESTART  _d3d
-PARTICLE_RESTART_DATA_OUT out:loc:flpe prt#:prtf $base_data/$fname/RESTART  _rprt
-#
-RUN_CONTROL       out:loc:tr   d3#     $base_data/$fname/MONITORING  _rc
-RUN_CONTROL       out:loc:tra  d3f     $base_data/$fname/MONITORING  _rc
-HEADER            out:loc:tr   d3#     $base_data/$fname/MONITORING  _header
-HEADER            out:loc:tra  d3f     $base_data/$fname/MONITORING  _header
-CPU_MEASURES      out:loc:tr   d3#     $base_data/$fname/MONITORING  _cpu
-CPU_MEASURES      out:loc:tra  d3f     $base_data/$fname/MONITORING  _cpu
-#
-DATA_1D_PR_NETCDF    out:loc:tr   pr#:prf   $base_data/$fname/OUTPUT  _pr     nc
-DATA_1D_SP_NETCDF    out:loc:tr   sp#:spf   $base_data/$fname/OUTPUT  _sp     nc
-DATA_1D_TS_NETCDF    out:loc:tr   ts#:tsf   $base_data/$fname/OUTPUT  _ts     nc
-DATA_1D_PTS_NETCDF   out:loc:tr   pts#:ptsf $base_data/$fname/OUTPUT  _pts    nc
-DATA_2D_XY_NETCDF    out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy     nc
-DATA_2D_XY_AV_NETCDF out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy_av  nc
-DATA_2D_XZ_NETCDF    out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz     nc
-DATA_2D_XZ_AV_NETCDF out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz_av  nc
-DATA_2D_YZ_NETCDF    out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz     nc
-DATA_2D_YZ_AV_NETCDF out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz_av  nc
-DATA_3D_NETCDF       out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d     nc
-DATA_3D_AV_NETCDF    out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d_av  nc
-DATA_PRT_NETCDF      out:loc:pe   prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
-DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
-DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr
-#
-DVRP_LOG          out:loc:tr   dv#       $base_data/$fname/MONITORING  _dvrp_log
-DVRP_LOG          out:loc:tra  dvf       $base_data/$fname/MONITORING  _dvrp_log
-PARTICLE_INFO     out:loc:tr   pt#       $base_data/$fname/MONITORING  _prt_info
-PARTICLE_INFO     out:loc:tra  ptf       $base_data/$fname/MONITORING  _prt_info
-PARTICLE_DATA     out:loc:flpe prt#:prtf $base_data/$fname/OUTPUT      _prt_dat
-# A BLANK LINE MUST FOLLOW
Index: palm/trunk/SCRIPTS/.mrun.config.imuk_ice2_netcdf4
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk_ice2_netcdf4	(revision 1326)
+++ 	(revision )
@@ -1,144 +1,0 @@
-#$Id$
-#column 1          column 2                                   column 3
-#name of variable  value of variable (~ must not be used)     scope
-#----------------------------------------------------------------------------
-%mainprog          palm.f90
-%base_directory    $HOME/palm/current_version
-%base_data         ~/palm/current_version/JOBS
-%source_path       $base_directory/trunk/SOURCE
-%add_source_path   $base_directory/USER_CODE/$fname
-%depository_path   $base_directory/MAKE_DEPOSITORY
-%use_makefile      true
-#
-# Enter your own host below by adding another line containing in the second
-# column your hostname (as provided by the unix command "hostname") and in the
-# third column the host identifier. Depending on your operating system, the
-# first characters of the host identifier should be "lc" (Linux cluster), "ibm"
-# (IBM-AIX), or "nec" (NEC-SX), respectively.
-%host_identifier   service100  lcsgih
-%host_identifier   r1*         lcsgih
-%host_identifier   h01*        lcsgih
-%host_identifier   r2*         lcsgib
-%host_identifier   b01*        lcsgib
-%host_identifier   gallego     lcmuk
-#
-# The following blocks contain all information for compiling the PALM code
-# and for generating and running the PALM executable using MPI. Replace all
-# required paths (given in <>) by the respective paths valid on your host.
-# Please adjust compilernames, cpp-options, compiler-options etc. 
-# appropriately for your own system(s), and please delete or comment out
-# blocks for unused systems.
-#
-# The following 'lcmuk parallel' block assumes PALM compilation and execution
-# on host gallego. Please note that other hosts within the IMUK linux cluster,
-# e.g. maestro or bora, may have require different settings.
-#
-#%remote_username   <replace by your IMUK username>              lcmuk parallel
-%tmp_user_catalog  /tmp                                          lcmuk parallel
-%compiler_name     mpif90                                        lcmuk parallel
-%compiler_name_ser ifort                                         lcmuk parallel
-%cpp_options       -cpp:-D__mpi2:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf   lcmuk parallel
-%netcdf_inc        -I:/muksoft_64/packages/netcdf/3.6.3/include            lcmuk parallel
-%netcdf_lib        -L/muksoft_64/packages/netcdf/3.6.3/lib:-lnetcdf        lcmuk parallel
-%mopts             -j:4                                          lcmuk parallel
-%fopts             -axW:-r8:-nbs:-convert:little_endian:-I:/muksoft_64/packages/mpich2/2.1.0.5/include     lcmuk parallel
-%lopts             -axW:-r8:-nbs:-Vaxlib:-L:/muksoft_64/packages/mpich2/2.1.0.5/lib:-limf:-lm              lcmuk parallel
-#%hostfile          $base_directory/.hostfile                    lcmuk parallel
-#
-%sgi_feature       ice2                                       lcsgih parallel ice2
-%modules           intel.compiler:mvapich2:phdf5:pnetcdf      lcsgih parallel ice2
-%login_init_cmd    .:/usr/share/modules/init/bash           lcsgih parallel ice2
-#%remote_username  <replace by your HLRN username>            lcsgih parallel
-%compiler_name     mpif90                                     lcsgih parallel ice2
-%compiler_name_ser ifort                                      lcsgih parallel ice2
-%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__mpi2   lcsgih parallel ice2
-%netcdf_inc        -I:/sw/dataformats/pnetcdf/netcdf-4.0.1-mvapich2-intel/include:-I:/sw/dataformats/phdf5/hdf5-1.8.2-mvapich2-intel/include    lcsgih parallel ice2
-%netcdf_lib        -L/sw/dataformats/pnetcdf/netcdf-4.0.1-mvapich2-intel/lib:-lnetcdf:-lnetcdff:-L/sw/dataformats/phdf5/hdf5-1.8.2-mvapich2-intel/lib:-lhdf5:-lhdf5_hl:-lz      lcsgih parallel ice2
-%mopts             -j:4                                       lcsgih parallel ice2
-%fopts             -xSSE4.2:-fp-model:precise:-O3:-cpp:-r8:-align:all:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgih parallel ice2
-%lopts             -xSSE4.2:-fp-model:precise:-O3:-cpp:-r8:-align:all:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib:-limf:-lm       lcsgih parallel ice2
-%memory            1500                                       lcsgih parallel ice2
-#%tmp_data_catalog  /gfs2/work/<replace by your HLRN username>/palm_restart_data      lcsgih parallel
-#%tmp_user_catalog  /gfs2/tmp/<replace by your HLRN username>                         lcsgih parallel
-#
-#
-%write_binary                true                             restart
-#
-#----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
-#----------------------------------------------------------------------------
-#IC:
-#
-#----------------------------------------------------------------------------
-# ERROR-commands - executed when program terminates abnormally
-#----------------------------------------------------------------------------
-EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
-EC:pwd; ls -al
-#
-#----------------------------------------------------------------------------
-# OUTPUT-commands - executed when program terminates normally
-#----------------------------------------------------------------------------
-#
-# Combine 1D- and 3D-profile output (these files are not usable for plotting)
-OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
-OC:[[ -f LIST_PROFIL        ]]  &&  cat  LIST_PROFIL     >>  LIST_PROFILE
-#
-# Combine all particle information files
-OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
-#
-#----------------------------------------------------------------------------
-# List of input-files
-#----------------------------------------------------------------------------
-PARIN                    in:job        d3#      $base_data/$fname/INPUT    _p3d
-PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
-TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
-NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
-LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
-BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
-PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
-DATA_1D_PR_NETCDF        in:locopt     prf      $base_data/$fname/OUTPUT   _pr     nc
-DATA_1D_SP_NETCDF        in:locopt     spf      $base_data/$fname/OUTPUT   _sp     nc
-DATA_1D_TS_NETCDF        in:locopt     tsf      $base_data/$fname/OUTPUT   _ts     nc
-DATA_1D_PTS_NETCDF       in:locopt     ptsf     $base_data/$fname/OUTPUT   _pts    nc
-DATA_2D_XY_NETCDF        in:locopt     xyf      $base_data/$fname/OUTPUT   _xy     nc
-DATA_2D_XY_AV_NETCDF     in:locopt     xyf      $base_data/$fname/OUTPUT   _xy_av  nc
-DATA_2D_XZ_NETCDF        in:locopt     xzf      $base_data/$fname/OUTPUT   _xz     nc
-DATA_2D_YZ_NETCDF        in:locopt     yzf      $base_data/$fname/OUTPUT   _yz     nc
-DATA_3D_NETCDF           in:locopt     3df      $base_data/$fname/OUTPUT   _3d     nc
-DATA_PRT_NETCDF          in:locopt:pe  prtf     $base_data/$fname/OUTPUT   _prt
-#
-#----------------------------------------------------------------------------
-# List of output-files
-#----------------------------------------------------------------------------
-BINOUT                    out:loc:flpe restart   $base_data/$fname/RESTART  _d3d
-PARTICLE_RESTART_DATA_OUT out:loc:flpe prt#:prtf $base_data/$fname/RESTART  _rprt
-#
-RUN_CONTROL       out:loc:tr   d3#     $base_data/$fname/MONITORING  _rc
-RUN_CONTROL       out:loc:tra  d3f     $base_data/$fname/MONITORING  _rc
-HEADER            out:loc:tr   d3#     $base_data/$fname/MONITORING  _header
-HEADER            out:loc:tra  d3f     $base_data/$fname/MONITORING  _header
-CPU_MEASURES      out:loc:tr   d3#     $base_data/$fname/MONITORING  _cpu
-CPU_MEASURES      out:loc:tra  d3f     $base_data/$fname/MONITORING  _cpu
-#
-DATA_1D_PR_NETCDF    out:loc:tr   pr#:prf   $base_data/$fname/OUTPUT  _pr     nc
-DATA_1D_SP_NETCDF    out:loc:tr   sp#:spf   $base_data/$fname/OUTPUT  _sp     nc
-DATA_1D_TS_NETCDF    out:loc:tr   ts#:tsf   $base_data/$fname/OUTPUT  _ts     nc
-DATA_1D_PTS_NETCDF   out:loc:tr   pts#:ptsf $base_data/$fname/OUTPUT  _pts    nc
-DATA_2D_XY_NETCDF    out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy     nc
-DATA_2D_XY_AV_NETCDF out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy_av  nc
-DATA_2D_XZ_NETCDF    out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz     nc
-DATA_2D_XZ_AV_NETCDF out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz_av  nc
-DATA_2D_YZ_NETCDF    out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz     nc
-DATA_2D_YZ_AV_NETCDF out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz_av  nc
-DATA_3D_NETCDF       out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d     nc
-DATA_3D_AV_NETCDF    out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d_av  nc
-DATA_PRT_NETCDF      out:loc:pe   prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
-DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
-DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr 
-#
-DVRP_LOG          out:loc:tr   dv#       $base_data/$fname/MONITORING  _dvrp_log
-DVRP_LOG          out:loc:tra  dvf       $base_data/$fname/MONITORING  _dvrp_log
-PARTICLE_INFO     out:loc:tr   pt#       $base_data/$fname/MONITORING  _prt_info
-PARTICLE_INFO     out:loc:tra  ptf       $base_data/$fname/MONITORING  _prt_info
-PARTICLE_DATA     out:loc:flpe prt#:prtf $base_data/$fname/OUTPUT      _prt_dat
-# A BLANK LINE MUST FOLLOW