Index: /palm/trunk/SOURCE/check_open.f90
===================================================================
--- /palm/trunk/SOURCE/check_open.f90	(revision 1328)
+++ /palm/trunk/SOURCE/check_open.f90	(revision 1329)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! parts concerning iso2d and avs output removed
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1327 2014-03-21 11:00:16Z raasch
+! parts concerning iso2d and avs output removed
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 1328)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 1329)
@@ -20,11 +20,14 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1327 2014-03-21 11:00:16Z raasch
 ! "baroclinicity" renamed "baroclinity", "ocean version" replaced by "ocean mode"
 ! bugfix: duplicate error message 56 removed,
 ! check of data_output_format and do3d_compress removed
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1322 2014-03-20 16:38:49Z raasch
Index: /palm/trunk/SOURCE/close_file.f90
===================================================================
--- /palm/trunk/SOURCE/close_file.f90	(revision 1328)
+++ /palm/trunk/SOURCE/close_file.f90	(revision 1329)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! parts concerning iso2d and avs output removed
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1327 2014-03-21 11:00:16Z raasch
+! parts concerning iso2d and avs output removed
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: /palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_2d.f90	(revision 1328)
+++ /palm/trunk/SOURCE/data_output_2d.f90	(revision 1329)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! parts concerning iso2d output removed,
-! -netcdf output queries
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1327 2014-03-21 11:00:16Z raasch
+! parts concerning iso2d output removed,
+! -netcdf output queries
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: /palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_3d.f90	(revision 1328)
+++ /palm/trunk/SOURCE/data_output_3d.f90	(revision 1329)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! parts concerning avs output removed,
-! -netcdf output queries
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1327 2014-03-21 11:00:16Z raasch
+! parts concerning avs output removed,
+! -netcdf output queries
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: /palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_mask.f90	(revision 1328)
+++ /palm/trunk/SOURCE/data_output_mask.f90	(revision 1329)
@@ -21,8 +21,11 @@
 ! -----------------
 ! 
-!
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1327 2014-03-21 11:00:16Z raasch
+! 
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: /palm/trunk/SOURCE/data_output_profiles.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_profiles.f90	(revision 1328)
+++ /palm/trunk/SOURCE/data_output_profiles.f90	(revision 1329)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! -netcdf output queries
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1327 2014-03-21 11:00:16Z raasch
+! -netcdf output queries
 !
 ! 1322 2014-03-20 16:38:49Z raasch
Index: /palm/trunk/SOURCE/data_output_ptseries.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_ptseries.f90	(revision 1328)
+++ /palm/trunk/SOURCE/data_output_ptseries.f90	(revision 1329)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! -netcdf output queries
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1327 2014-03-21 11:00:16Z raasch
+! -netcdf output queries
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: /palm/trunk/SOURCE/data_output_spectra.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_spectra.f90	(revision 1328)
+++ /palm/trunk/SOURCE/data_output_spectra.f90	(revision 1329)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! -netcdf output queries
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1327 2014-03-21 11:00:16Z raasch
+! -netcdf output queries
 !
 ! 1324 2014-03-21 09:13:16Z suehring
Index: /palm/trunk/SOURCE/data_output_tseries.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_tseries.f90	(revision 1328)
+++ /palm/trunk/SOURCE/data_output_tseries.f90	(revision 1329)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! -netcdf output queries
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1327 2014-03-21 11:00:16Z raasch
+! -netcdf output queries
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 1328)
+++ /palm/trunk/SOURCE/header.f90	(revision 1329)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! parts concerning iso2d and avs output removed,
-! -netcdf output queries
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1327 2014-03-21 11:00:16Z raasch
+! parts concerning iso2d and avs output removed,
+! -netcdf output queries
 !
 ! 1324 2014-03-21 09:13:16Z suehring
Index: /palm/trunk/SOURCE/lpm_data_output_particles.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_data_output_particles.f90	(revision 1328)
+++ /palm/trunk/SOURCE/lpm_data_output_particles.f90	(revision 1329)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! -netcdf output queries
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1327 2014-03-21 11:00:16Z raasch
+! -netcdf output queries
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: /palm/trunk/SOURCE/lpm_exchange_horiz.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_exchange_horiz.f90	(revision 1328)
+++ /palm/trunk/SOURCE/lpm_exchange_horiz.f90	(revision 1329)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! -netcdf output queries
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1327 2014-03-21 11:00:16Z raasch
+! -netcdf output queries
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: /palm/trunk/SOURCE/lpm_init.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_init.f90	(revision 1328)
+++ /palm/trunk/SOURCE/lpm_init.f90	(revision 1329)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! -netcdf_output
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1327 2014-03-21 11:00:16Z raasch
+! -netcdf_output
 !
 ! 1322 2014-03-20 16:38:49Z raasch
Index: /palm/trunk/SOURCE/lpm_release_set.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_release_set.f90	(revision 1328)
+++ /palm/trunk/SOURCE/lpm_release_set.f90	(revision 1329)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! -netcdf output queries
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1327 2014-03-21 11:00:16Z raasch
+! -netcdf output queries
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 1328)
+++ /palm/trunk/SOURCE/modules.f90	(revision 1329)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! REAL constants defined as wp-kind
-! -avs_output, data_output_format, do3d_compress, iso2d_output, netcdf_output
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1327 2014-03-21 11:00:16Z raasch
+! REAL constants defined as wp-kind
+! -avs_output, data_output_format, do3d_compress, iso2d_output, netcdf_output
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 1328)
+++ /palm/trunk/SOURCE/parin.f90	(revision 1329)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! -data_output_format, do3d_compress, do3d_comp_prec
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1327 2014-03-21 11:00:16Z raasch
+! -data_output_format, do3d_compress, do3d_comp_prec
 !
 ! 1320 2014-03-20 08:40:49Z raasch