Index: palm/trunk/SOURCE/init_cloud_physics.f90
===================================================================
--- palm/trunk/SOURCE/init_cloud_physics.f90	(revision 1333)
+++ palm/trunk/SOURCE/init_cloud_physics.f90	(revision 1334)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! Bugfix: REAL constants provided with KIND-attribute
 !
 ! Former revisions:
@@ -118,5 +118,5 @@
 !-- t / pt : ratio of actual and potential temperature (t_d_pt)
 !-- p_0(z) : vertical profile of the hydrostatic pressure (hyp)
-    t_surface = pt_surface * ( surface_pressure / 1000.0 )**0.286
+    t_surface = pt_surface * ( surface_pressure / 1000.0 )**0.286_wp
     DO  k = nzb, nzt+1
 !
@@ -129,5 +129,5 @@
        hyp(k)    = surface_pressure * 100.0 * &
                    ( (t_surface - g/cp * zu(k)) / t_surface )**(1.0_wp/0.286_wp)
-       pt_d_t(k) = ( 100000.0 / hyp(k) )**0.286
+       pt_d_t(k) = ( 100000.0 / hyp(k) )**0.286_wp
        t_d_pt(k) = 1.0 / pt_d_t(k)
        hyrho(k)  = hyp(k) / ( r_d * t_d_pt(k) * pt_init(k) )       
Index: palm/trunk/SOURCE/microphysics.f90
===================================================================
--- palm/trunk/SOURCE/microphysics.f90	(revision 1333)
+++ palm/trunk/SOURCE/microphysics.f90	(revision 1334)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-!
+! Bugfix: REAL constants provided with KIND-attribute
 !
 ! Former revisions:
@@ -361,9 +361,9 @@
 !--       t / pt : ratio of actual and potential temperature (t_d_pt)
 !--       p_0(z) : vertical profile of the hydrostatic pressure (hyp)
-          t_surface = pt_surface * ( surface_pressure / 1000.0 )**0.286
+          t_surface = pt_surface * ( surface_pressure / 1000.0 )**0.286_wp
           DO  k = nzb, nzt+1
              hyp(k)    = surface_pressure * 100.0 * &
-                         ( (t_surface - g/cp * zu(k)) / t_surface )**(1.0/0.286)
-             pt_d_t(k) = ( 100000.0 / hyp(k) )**0.286
+                         ( (t_surface - g/cp * zu(k)) / t_surface )**(1.0_wp/0.286_wp)
+             pt_d_t(k) = ( 100000.0 / hyp(k) )**0.286_wp
              t_d_pt(k) = 1.0 / pt_d_t(k)
              hyrho(k)  = hyp(k) / ( r_d * t_d_pt(k) * pt_init(k) )       
@@ -511,9 +511,9 @@
 !--          Universal function for autoconversion process 
 !--          (Seifert and Beheng, 2006):
-             phi_au    = 600.0 * tau_cloud**0.68 * ( 1.0 - tau_cloud**0.68 )**3
+             phi_au    = 600.0 * tau_cloud**0.68_wp * ( 1.0 - tau_cloud**0.68_wp )**3
 !
 !--          Shape parameter of gamma distribution (Geoffroy et al., 2010):
 !--          (Use constant nu_c = 1.0 instead?)
-             nu_c      = 1.0 !MAX( 0.0, 1580.0 * hyrho(k) * qc(k,j,i) - 0.28 )
+             nu_c      = 1.0 !MAX( 0.0_wp, 1580.0 * hyrho(k) * qc(k,j,i) - 0.28_wp )
 !
 !--          Mean weight of cloud droplets:
@@ -525,5 +525,5 @@
 !
 !--             Weight averaged radius of cloud droplets:
-                rc = 0.5 * ( xc * dpirho_l )**( 1.0 / 3.0_wp )
+                rc = 0.5 * ( xc * dpirho_l )**( 1.0_wp / 3.0_wp )
 
                 alpha_cc = ( a_1 + a_2 * nu_c ) / ( 1.0 + a_3 * nu_c )
@@ -532,18 +532,18 @@
 !
 !--             Mixing length (neglecting distance to ground and stratification)
-                l_mix = ( dx * dy * dzu(k) )**( 1.0 / 3.0_wp )
+                l_mix = ( dx * dy * dzu(k) )**( 1.0_wp / 3.0_wp )
 !
 !--             Limit dissipation rate according to Seifert, Nuijens and 
 !--             Stevens (2010)
-                epsilon = MIN( 0.06, diss(k,j,i) )
+                epsilon = MIN( 0.06_wp, diss(k,j,i) )
 !
 !--             Compute Taylor-microscale Reynolds number:
-                re_lambda = 6.0 / 11.0 * ( l_mix / c_const )**( 2.0 / 3.0_wp ) *  &
-                            SQRT( 15.0 / kin_vis_air ) * epsilon**( 1.0 / 6.0_wp )
+                re_lambda = 6.0 / 11.0 * ( l_mix / c_const )**( 2.0_wp / 3.0_wp ) *  &
+                            SQRT( 15.0 / kin_vis_air ) * epsilon**( 1.0_wp / 6.0_wp )
 !
 !--             The factor of 1.0E4 is needed to convert the dissipation rate
 !--             from m2 s-3 to cm2 s-3.
-                k_au = k_au * ( 1.0 +                                          &
-                       epsilon * 1.0E4 * ( re_lambda * 1.0E-3 )**0.25 *        &
+                k_au = k_au * ( 1.0_wp +                                       &
+                       epsilon * 1.0E4 * ( re_lambda * 1.0E-3 )**0.25_wp *     &
                        ( alpha_cc * EXP( -1.0 * ( ( rc - r_cc ) /              &
                        sigma_cc )**2 ) + beta_cc ) )
@@ -552,6 +552,6 @@
 !--          Autoconversion rate (Seifert and Beheng, 2006):
              autocon = k_au * ( nu_c + 2.0 ) * ( nu_c + 4.0 ) /    &
-                       ( nu_c + 1.0 )**2 * qc_1d(k)**2 * xc**2 *   &
-                       ( 1.0 + phi_au / ( 1.0 - tau_cloud )**2 ) * &
+                       ( nu_c + 1.0 )**2.0_wp * qc_1d(k)**2.0_wp * xc**2.0_wp *   &
+                       ( 1.0 + phi_au / ( 1.0 - tau_cloud )**2.0_wp ) * &
                        rho_surface
              autocon = MIN( autocon, qc_1d(k) / dt_micro )
@@ -605,5 +605,5 @@
 !--          (Seifert and Beheng, 2001):
              phi_ac = tau_cloud / ( tau_cloud + 5.0E-5 ) 
-             phi_ac = ( phi_ac**2 )**2
+             phi_ac = ( phi_ac**2.0_wp )**2.0_wp
 !
 !--          Parameterized turbulence effects on autoconversion (Seifert, 
@@ -612,5 +612,5 @@
              IF ( turbulence )  THEN
                 k_cr = k_cr0 * ( 1.0 + 0.05 *                             &
-                                 MIN( 600.0, diss(k,j,i) * 1.0E4 )**0.25 )
+                                 MIN( 600.0_wp, diss(k,j,i) * 1.0E4 )**0.25_wp )
              ELSE
                 k_cr = k_cr0                       
@@ -667,5 +667,5 @@
 !
 !--          Weight averaged diameter of rain drops:
-             dr = ( hyrho(k) * qr_1d(k) / nr_1d(k) * dpirho_l )**( 1.0 / 3.0_wp )
+             dr = ( hyrho(k) * qr_1d(k) / nr_1d(k) * dpirho_l )**( 1.0_wp / 3.0_wp )
 !
 !--          Collisional breakup rate (Seifert, 2008):
@@ -750,5 +750,5 @@
 !
 !--          Supersaturation:
-             sat = MIN( 0.0, ( q_1d(k) - qr_1d(k) - qc_1d(k) ) / q_s - 1.0 )
+             sat = MIN( 0.0_wp, ( q_1d(k) - qr_1d(k) - qc_1d(k) ) / q_s - 1.0 )
 !
 !--          Actual temperature:
@@ -763,5 +763,5 @@
 !
 !--          Weight averaged diameter of rain drops:
-             dr = ( xr * dpirho_l )**( 1.0 / 3.0_wp )
+             dr = ( xr * dpirho_l )**( 1.0_wp / 3.0_wp )
 !
 !--          Compute ventilation factor and intercept parameter 
@@ -775,5 +775,5 @@
 !--             Slope parameter of gamma distribution (Seifert, 2008):
                 lambda_r = ( ( mu_r + 3.0 ) * ( mu_r + 2.0 ) *       &
-                             ( mu_r + 1.0 ) )**( 1.0 / 3.0_wp ) / dr
+                             ( mu_r + 1.0 ) )**( 1.0_wp / 3.0_wp ) / dr
 
                 mu_r_2   = mu_r + 2.0
@@ -787,11 +787,11 @@
                          ( lambda_r /                                         &
                          (       c_term + lambda_r ) )**mu_r_5d2 -            &
-                                 0.125 * ( b_term / a_term )**2 *             &
+                                 0.125 * ( b_term / a_term )**2.0_wp *        &
                          ( lambda_r /                                         &
                          ( 2.0 * c_term + lambda_r ) )**mu_r_5d2 -            &
-                                 0.0625 * ( b_term / a_term )**3 *            &
+                                 0.0625 * ( b_term / a_term )**3.0_wp *       &
                          ( lambda_r /                                         &
                          ( 3.0 * c_term + lambda_r ) )**mu_r_5d2 -            &
-                                 0.0390625 * ( b_term / a_term )**4 *         &
+                                 0.0390625 * ( b_term / a_term )**4.0_wp *    &
                          ( lambda_r /                                         &
                          ( 4.0 * c_term + lambda_r ) )**mu_r_5d2 )
@@ -852,5 +852,5 @@
 !
 !--    Sedimentation of cloud droplets (Heus et al., 2010):
-       sed_qc_const = k_st * ( 3.0 / ( 4.0 * pi * rho_l ))**( 2.0 / 3.0_wp ) *   &
+       sed_qc_const = k_st * ( 3.0 / ( 4.0 * pi * rho_l ))**( 2.0_wp / 3.0_wp ) *   &
                      EXP( 5.0 * LOG( sigma_gc )**2 )
 
@@ -859,6 +859,6 @@
        DO  k = nzt, nzb_s_inner(j,i)+1, -1
           IF ( qc_1d(k) > eps_sb )  THEN
-             sed_qc(k) = sed_qc_const * nc_1d(k)**( -2.0 / 3.0_wp ) * &
-                        ( qc_1d(k) * hyrho(k) )**( 5.0 / 3.0_wp )
+             sed_qc(k) = sed_qc_const * nc_1d(k)**( -2.0_wp / 3.0_wp ) * &
+                        ( qc_1d(k) * hyrho(k) )**( 5.0_wp / 3.0_wp )
           ELSE
              sed_qc(k) = 0.0
@@ -943,5 +943,5 @@
 !
 !--          Weight averaged diameter of rain drops:
-             dr = ( hyrho(k) * qr_1d(k) / nr_1d(k) * dpirho_l )**( 1.0 / 3.0_wp )
+             dr = ( hyrho(k) * qr_1d(k) / nr_1d(k) * dpirho_l )**( 1.0_wp / 3.0_wp )
 !
 !--          Shape parameter of gamma distribution (Milbrandt and Yau, 2005;
@@ -951,9 +951,9 @@
 !--          Slope parameter of gamma distribution (Seifert, 2008):
              lambda_r = ( ( mu_r + 3.0 ) * ( mu_r + 2.0 ) *          &
-                        ( mu_r + 1.0 ) )**( 1.0 / 3.0_wp ) / dr
-
-             w_nr(k) = MAX( 0.1, MIN( 20.0, a_term - b_term * ( 1.0 +          &
+                        ( mu_r + 1.0 ) )**( 1.0_wp / 3.0_wp ) / dr
+
+             w_nr(k) = MAX( 0.1_wp, MIN( 20.0_wp, a_term - b_term * ( 1.0 +    &
                        c_term / lambda_r )**( -1.0 * ( mu_r + 1.0 ) ) ) )
-             w_qr(k) = MAX( 0.1, MIN( 20.0, a_term - b_term * ( 1.0 +          &
+             w_qr(k) = MAX( 0.1_wp, MIN( 20.0_wp, a_term - b_term * ( 1.0 +    &
                        c_term / lambda_r )**( -1.0 * ( mu_r + 4.0 ) ) ) )
           ELSE
@@ -1109,5 +1109,5 @@
        tmp = x_gamm + 5.5 
        tmp = ( x_gamm + 0.5 ) * LOG( tmp ) - tmp 
-       ser = 1.000000000190015 
+       ser = 1.000000000190015_wp
 
        DO  j = 1, 6 