Index: palm/trunk/SOURCE/calc_spectra.f90
===================================================================
--- palm/trunk/SOURCE/calc_spectra.f90	(revision 1342)
+++ palm/trunk/SOURCE/calc_spectra.f90	(revision 1343)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! REAL constants defined as wp-kinds
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1342 2014-03-26 17:04:47Z kanani
+! REAL constants defined as wp-kinds
 !
 ! 1324 2014-03-21 09:13:16Z suehring
Index: palm/trunk/SOURCE/fft_xy.f90
===================================================================
--- palm/trunk/SOURCE/fft_xy.f90	(revision 1342)
+++ palm/trunk/SOURCE/fft_xy.f90	(revision 1343)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! REAL constants defined as wp-kind
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1342 2014-03-26 17:04:47Z kanani
+! REAL constants defined as wp-kind
 !
 ! 1322 2014-03-20 16:38:49Z raasch
Index: palm/trunk/SOURCE/pres.f90
===================================================================
--- palm/trunk/SOURCE/pres.f90	(revision 1342)
+++ palm/trunk/SOURCE/pres.f90	(revision 1343)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! REAL constants defined as wp-kind
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1342 2014-03-26 17:04:47Z kanani
+! REAL constants defined as wp-kind
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/production_e.f90
===================================================================
--- palm/trunk/SOURCE/production_e.f90	(revision 1342)
+++ palm/trunk/SOURCE/production_e.f90	(revision 1343)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! REAL constants defined as wp-kind
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1342 2014-03-26 17:04:47Z kanani
+! REAL constants defined as wp-kind
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/random_function.f90
===================================================================
--- palm/trunk/SOURCE/random_function.f90	(revision 1342)
+++ palm/trunk/SOURCE/random_function.f90	(revision 1343)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! REAL constants defined as wp-kind
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1342 2014-03-26 17:04:47Z kanani
+! REAL constants defined as wp-kind
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: palm/trunk/SOURCE/random_gauss.f90
===================================================================
--- palm/trunk/SOURCE/random_gauss.f90	(revision 1342)
+++ palm/trunk/SOURCE/random_gauss.f90	(revision 1343)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! REAL constants defined as wp-kind
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1342 2014-03-26 17:04:47Z kanani
+! REAL constants defined as wp-kind
+! 
 ! 1320 2014-03-20 08:40:49Z raasch
 ! ONLY-attribute added to USE-statements,
Index: palm/trunk/SOURCE/temperton_fft.f90
===================================================================
--- palm/trunk/SOURCE/temperton_fft.f90	(revision 1342)
+++ palm/trunk/SOURCE/temperton_fft.f90	(revision 1343)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! REAL constants defined as wp-kind
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1342 2014-03-26 17:04:47Z kanani
+! REAL constants defined as wp-kind
 !
 ! 1322 2014-03-20 16:38:49Z raasch
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 1342)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 1343)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! REAL constants defined as wp-kind
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1342 2014-03-26 17:04:47Z kanani
+! REAL constants defined as wp-kind
+! 
 ! 1320 2014-03-20 08:40:49Z raasch
 ! ONLY-attribute added to USE-statements,
Index: palm/trunk/SOURCE/time_to_string.f90
===================================================================
--- palm/trunk/SOURCE/time_to_string.f90	(revision 1342)
+++ palm/trunk/SOURCE/time_to_string.f90	(revision 1343)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! REAL constants defined as wp-kind
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1342 2014-03-26 17:04:47Z kanani
+! REAL constants defined as wp-kind
+! 
 ! 1320 2014-03-20 08:40:49Z raasch
 ! kind-parameters added to all INTEGER and REAL declaration statements,
Index: palm/trunk/SOURCE/timestep.f90
===================================================================
--- palm/trunk/SOURCE/timestep.f90	(revision 1342)
+++ palm/trunk/SOURCE/timestep.f90	(revision 1343)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! REAL constants defined as wp-kind
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1342 2014-03-26 17:04:47Z kanani
+! REAL constants defined as wp-kind
 !
 ! 1322 2014-03-20 16:38:49Z raasch
Index: palm/trunk/SOURCE/tridia_solver.f90
===================================================================
--- palm/trunk/SOURCE/tridia_solver.f90	(revision 1342)
+++ palm/trunk/SOURCE/tridia_solver.f90	(revision 1343)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-! REAL constants defined as wp-kind
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1342 2014-03-26 17:04:47Z kanani
+! REAL constants defined as wp-kind
 !
 ! 1322 2014-03-20 16:38:49Z raasch