Index: palm/trunk/SCRIPTS/.mrun.config.ibmh
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.ibmh	(revision 1241)
+++ palm/trunk/SCRIPTS/.mrun.config.ibmh	(revision 1346)
@@ -14,21 +14,42 @@
 %host_identifier   p1*         ibmh
 %host_identifier   p2*         ibmh
-
-
 #
-%compiler_name     mpxlf95_r                                      ibmh parallel
-%compiler_name_ser xlf95                                          ibmh parallel
-%cpp_options       -qsuffix=cpp=f90:-WF,-DMPI_REAL=MPI_DOUBLE_PRECISION,-D__netcdf=__netcdf,-D__netcdf_64bit=__netcdf_64bit  ibmh parallel
-%netcdf_inc        -I:/sw/aix53/netcdf-3.6.3-ibm/include          ibmh parallel
-%netcdf_lib        -L/sw/aix53/netcdf-3.6.3-ibm/lib:-lnetcdf      ibmh parallel
-%fopts             -O3:-g:-qfloat=nomaf:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr6:-qarch=pwr6:-qnosave:-qnoescape    ibmh parallel
-%lopts             -O3:-g:-qfloat=nomaf:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr6:-qarch=pwr6:-qnosave:-qnoescape:-lesslsmp   ibmh parallel
-%memory            1500                                        ibmh parallel
-%cpumax            1000                                        ibmh parallel
-%remote_username   <replace by username on ibmh>                ibmh parallel
+# IBM at DKRZ in Hamburg
+%compiler_name     mpxlf95_r                                  ibmh parallel
+%compiler_name_ser xlf95                                      ibmh parallel
+%cpp_options       -qsuffix=cpp=f90:-WF,-DMPI_REAL=MPI_DOUBLE_PRECISION,-D__netcdf=__netcdf,-D__netcdf_64bit=__netcdf_64bit,-D__fftw=__fftw ibmh parallel
+%fftw_inc          -I:/sw/aix61/fftw-3.3.3/include            ibmh parallel
+%fftw_lib          -L/sw/aix61/fftw-3.3.3/lib:-lfftw3         ibmh parallel
+%netcdf_inc        -I:/sw/aix53/netcdf-3.6.3-ibm/include      ibmh parallel
+%netcdf_lib        -L/sw/aix53/netcdf-3.6.3-ibm/lib:-lnetcdf  ibmh parallel
+%fopts             -O3:-g:-qfloat=nomaf:-Q:-q64:-qmaxmem=-1:-qtune=pwr6:-qarch=pwr6:-qnosave:-qnoescape    ibmh parallel
+%lopts             -O3:-g:-qfloat=nomaf:-Q:-q64:-qmaxmem=-1:-qtune=pwr6:-qarch=pwr6:-qnosave:-qnoescape:-lesslsmp   ibmh parallel
+%memory            1500                                       ibmh parallel
+%cpumax            1000                                       ibmh parallel
+%remote_username   <replace by username on ibmh>              ibmh parallel
 %tmp_data_catalog  /work/<replace by project>/$remote_username/palm_restart_data    ibmh parallel
 %tmp_user_catalog  /work/<replace by project>/$remote_username                      ibmh parallel
-%output_data       /work/<replace by project>/$remote_username/$fname/OUTPUT          ibmh parallel
-
+%output_data       /work/<replace by project>/$remote_username/$fname/OUTPUT        ibmh parallel
+#
+#
+# IBM at DKRZ in Hamburg with debug options
+%compiler_name     mpxlf95_r                                  ibmh parallel trace
+%compiler_name_ser xlf95                                      ibmh parallel trace
+%cpp_options       -qsuffix=cpp=f90:-WF,-DMPI_REAL=MPI_DOUBLE_PRECISION,-D__netcdf=__netcdf,-D__netcdf_64bit=__netcdf_64bit,-D__fftw=__fftw  ibmh parallel trace
+%fftw_inc          -I:/sw/aix61/fftw-3.3.3/include            ibmh parallel trace 
+%fftw_lib          -L/sw/aix61/fftw-3.3.3/lib:-lfftw3         ibmh parallel trace
+%netcdf_inc        -I:/sw/aix53/netcdf-3.6.3-ibm/include      ibmh parallel trace
+%netcdf_lib        -L/sw/aix53/netcdf-3.6.3-ibm/lib:-lnetcdf  ibmh parallel trace
+%fopts             -qnoopt:-g:-C:-qinitauto=FFFFFFFF:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap    ibmh parallel trace
+%lopts             -qnoopt:-g:-C:-qinitauto=FFFFFFFF:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap:-lesslsmp  ibmh parallel trace
+%memory            1500                                       ibmh parallel trace
+%cpumax            1000                                       ibmh parallel trace
+%remote_username   b380021                                    ibmh parallel trace
+%remote_username   <replace by username on ibmh>              ibmh parallel trace
+%tmp_data_catalog  /work/<replace by project>/$remote_username/palm_restart_data    ibmh parallel trace
+%tmp_user_catalog  /work/<replace by project>/$remote_username                      ibmh parallel trace
+%output_data       /work/<replace by project>/$remote_username/$fname/OUTPUT        ibmh parallel trace
+#
+#
 %write_binary                true                             restart
 #