Index: /palm/trunk/SOURCE/advec_s_bc.f90
===================================================================
--- /palm/trunk/SOURCE/advec_s_bc.f90	(revision 1346)
+++ /palm/trunk/SOURCE/advec_s_bc.f90	(revision 1347)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+!
+! 1346 2014-03-27 13:18:20Z heinze
+! Bugfix: REAL constants provided with KIND-attribute especially in call of 
+! intrinsic function like MAX, MIN, SIGN
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: /palm/trunk/SOURCE/data_output_dvrp.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_dvrp.f90	(revision 1346)
+++ /palm/trunk/SOURCE/data_output_dvrp.f90	(revision 1347)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+!
+! 1346 2014-03-27 13:18:20Z heinze
+! Bugfix: REAL constants provided with KIND-attribute especially in call of 
+! intrinsic function like MAX, MIN, SIGN
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: /palm/trunk/SOURCE/inflow_turbulence.f90
===================================================================
--- /palm/trunk/SOURCE/inflow_turbulence.f90	(revision 1346)
+++ /palm/trunk/SOURCE/inflow_turbulence.f90	(revision 1347)
@@ -22,9 +22,11 @@
 ! 
 !
-! module interfaces removed
-!
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1346 2014-03-27 13:18:20Z heinze
+! Bugfix: REAL constants provided with KIND-attribute especially in call of 
+! intrinsic function like MAX, MIN, SIGN
 !
 ! 1320 2014-03-20 08:40:49Z raasch
Index: /palm/trunk/SOURCE/init_1d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_1d_model.f90	(revision 1346)
+++ /palm/trunk/SOURCE/init_1d_model.f90	(revision 1347)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: REAL constants provided with KIND-attribute especially in call of 
-! intrinsic function like MAX, MIN, SIGN
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1346 2014-03-27 13:18:20Z heinze
+! Bugfix: REAL constants provided with KIND-attribute especially in call of 
+! intrinsic function like MAX, MIN, SIGN
 !
 ! 1322 2014-03-20 16:38:49Z raasch
Index: /palm/trunk/SOURCE/init_advec.f90
===================================================================
--- /palm/trunk/SOURCE/init_advec.f90	(revision 1346)
+++ /palm/trunk/SOURCE/init_advec.f90	(revision 1347)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: REAL constants provided with KIND-attribute especially in call of 
-! intrinsic function like MAX, MIN, SIGN
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1346 2014-03-27 13:18:20Z heinze
+! Bugfix: REAL constants provided with KIND-attribute especially in call of 
+! intrinsic function like MAX, MIN, SIGN
 !
 ! 1322 2014-03-20 16:38:49Z raasch
Index: /palm/trunk/SOURCE/lpm_collision_kernels.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_collision_kernels.f90	(revision 1346)
+++ /palm/trunk/SOURCE/lpm_collision_kernels.f90	(revision 1347)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: REAL constants provided with KIND-attribute especially in call of 
-! intrinsic function like MAX, MIN, SIGN
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1346 2014-03-27 13:18:20Z heinze
+! Bugfix: REAL constants provided with KIND-attribute especially in call of 
+! intrinsic function like MAX, MIN, SIGN
 !
 ! 1322 2014-03-20 16:38:49Z raasch
Index: /palm/trunk/SOURCE/lpm_droplet_condensation.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 1346)
+++ /palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 1347)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! Bugfix: REAL constants provided with KIND-attribute especially in call of 
-! intrinsic function like MAX, MIN, SIGN
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1346 2014-03-27 13:18:20Z heinze
+! Bugfix: REAL constants provided with KIND-attribute especially in call of 
+! intrinsic function like MAX, MIN, SIGN
 !
 ! 1322 2014-03-20 16:38:49Z raasch
Index: /palm/trunk/SOURCE/microphysics.f90
===================================================================
--- /palm/trunk/SOURCE/microphysics.f90	(revision 1346)
+++ /palm/trunk/SOURCE/microphysics.f90	(revision 1347)
@@ -20,6 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Bugfix: REAL constants provided with KIND-attribute especially in call of 
-! intrinsic function like MAX, MIN, SIGN
+! 
 ! 
 ! Former revisions:
@@ -27,4 +26,8 @@
 ! $Id$
 !
+! 1346 2014-03-27 13:18:20Z heinze
+! Bugfix: REAL constants provided with KIND-attribute especially in call of 
+! intrinsic function like MAX, MIN, SIGN
+! 
 ! 1334 2014-03-25 12:21:40Z heinze
 ! Bugfix: REAL constants provided with KIND-attribute