Index: palm/trunk/SCRIPTS/.mrun.config.lcxe6
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.lcxe6	(revision 1349)
+++ palm/trunk/SCRIPTS/.mrun.config.lcxe6	(revision 1350)
@@ -37,17 +37,30 @@
 %compiler_name       ftn                                                                                              lcxe6 parallel
 %compiler_name_ser   ftn                                                                                              lcxe6 parallel
-%cpp_options         -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__intel_openmp_bug lcxe6 parallel
-%netcdf_inc          -I:/opt/cray/netcdf-hdf5parallel/default/netcdf-hdf5parallel-intel/include:-I/opt/cray/hdf5-parallel/default/hdf5-parallel-intel/include  lcxe6 parallel
-%netcdf_lib          -L/opt/cray/netcdf-hdf5parallel/default/netcdf-hdf5parallel-intel/lib:-lnetcdf:-lnetcdff:-L/opt/cray/hdf5-parallel/default/hdf5-parallel-intel/lib:-lhdf5_fortran:-lhdf5hl_fortran  lcxe6 parallel
+%cpp_options         -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__fftw:-D__netcdf:-D__intel_openmp_bug lcxe6 parallel
 %mopts               -j:4                                                                                             lcxe6 parallel
-%fopts               -r8:-O3:-nbs:-convert:little_endian:-I:/opt/cray/mpt/default/xt/gemini/mpich2-intel/120/include  lcxe6 parallel
-%lopts               -r8:-O3:-nbs:-L:/opt/cray/mpt/default/xt/gemini/mpich2-intel/120/lib                             lcxe6 parallel
+%fopts               -O3:-r8:-fp-model:source:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian lcxe6 parallel
+%lopts               -O3:-r8:-fp-model:source:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib lcxe6 parallel
 %remote_username      <replace by your CrayXE6 username>                                                              lcxe6 parallel
 %memory              1000                                                                                             lcxe6 parallel
 %project_account     <replace by your project account>                                                                lcxe6 parallel
-%modules             modules:Base-opts:pmi:hdf5-parallel:netcdf-hdf5parallel:xtpe-network-gemini:gni-headers          lcxe6 parallel
-%login_init_cmd      .:/opt/modules/default/init/ksh\;:.:/etc/bash.bashrc.local\;:module:swap:PrgEnv-cray:PrgEnv-intel\;:module:swap:cray-mpich2:xt-mpich2   lcxe6 parallel
+%modules             modules:Base-opts:pmi:netcdf-hdf5parallel:xtpe-network-gemini:gni-headers:cray-mpich2:fftw           lcxe6 parallel
+%login_init_cmd      .:/opt/modules/default/init/ksh\;:.:/etc/bash.bashrc.local\;:module:swap:PrgEnv-cray:PrgEnv-intel\;:module:swap:cray-hdf5-parallel:netcdf-hdf5parallel\;:module:unload:xtpe-interlagos     lcxe6 parallel
 %email_notification  <replace by your email address>                                                                  lcxe6 parallel
-#             
+# 
+ %tmp_user_catalog    /work/<replace by your CrayXE6 username>                                                         lcxe6 parallel trace
+%tmp_data_catalog    /work/<replace by your CrayXE6 username>/tmp/                                                    lcxe6 parallel trace
+%compiler_name       ftn                                                                                              lcxe6 parallel trace
+%compiler_name_ser   ftn                                                                                              lcxe6 parallel trace
+%cpp_options         -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__fftw:-D__netcdf:-D__intel_openmp_bug lcxe6 parallel trace
+%mopts               -j:4                                                                                             lcxe6 parallel trace
+%fopts               -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-O0:-r8:-fp-model:source:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian lcxe6 parallel trace
+%lopts               -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-O0:-r8:-fp-model:source:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib                       lcxe6 parallel trace
+%remote_username      <replace by your CrayXE6 username>                                                              lcxe6 parallel trace
+%memory              1000                                                                                             lcxe6 parallel trace
+%project_account     <replace by your project account>                                                                lcxe6 parallel trace
+%modules             modules:Base-opts:pmi:netcdf-hdf5parallel:xtpe-network-gemini:gni-headers:cray-mpich2:fftw           lcxe6 parallel trace
+%login_init_cmd      .:/opt/modules/default/init/ksh\;:.:/etc/bash.bashrc.local\;:module:swap:PrgEnv-cray:PrgEnv-intel\;:module:swap:cray-hdf5-parallel:netcdf-hdf5parallel\;:module:unload:xtpe-interlagos     lcxe6 parallel trace
+%email_notification  <replace by your email address>                                                                  lcxe6 parallel trace
+#           
 %write_binary        true                             restart
 #
Index: palm/trunk/SCRIPTS/mbuild
===================================================================
--- palm/trunk/SCRIPTS/mbuild	(revision 1349)
+++ palm/trunk/SCRIPTS/mbuild	(revision 1350)
@@ -22,5 +22,6 @@
 # Current revisions:
 # ------------------
-# 
+# init_cmds is now executed before module calls in case of compiltion on local 
+# host
 #
 # Former revisions:
@@ -1286,4 +1287,5 @@
              eval `$MODULESHOME/bin/modulecmd ksh load ${modules}`
           else
+             $init_cmds
              module load ${modules}
           fi
@@ -1362,4 +1364,5 @@
              # TOUCH FILES IN ORDER TO FORCE COMPILATION FOR EVERY BLOCK
           touch  *.f90
+          $init_cmds
           make  $make_options  BLOCK=$block  F90=$compiler_name  F90_SER=$compiler_name_ser  COPT="$cpp_options"  F90FLAGS="$compiler_options"  LDFLAGS="$loader_options"
 
Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 1349)
+++ palm/trunk/SCRIPTS/subjob	(revision 1350)
@@ -23,5 +23,5 @@
 # Current revisions:
 # ------------------
-# 
+# location of qsub updated for lcxe6
 #
 # Former revisions:
@@ -347,5 +347,5 @@
         (lcsb)    remote_addres=147.46.30.151; submcom=/usr/torque/bin/qsub;;
         (lctit)   queue=S; remote_addres=10.1.6.165; submcom=/opt/pbs/tools/bin/t2sub;;
-        (lcxe6)	  remote_addres=129.177.20.113; submcom=/opt/torque/2.5.10/bin/qsub;;
+        (lcxe6)	  remote_addres=129.177.20.113; submcom=/opt/torque/default/bin/qsub;;
         (lcxt5m)  remote_addres=193.166.211.144; submcom=/opt/pbs/10.1.0.91350/bin/qsub;;
         (lcyon)   remote_addres=165.132.26.68; submcom=/usr/torque/bin/qsub;;